complexType "Mortgage"

Namespace: | http://www.fpml.org/FpML-5/pretrade
Content: | complex, 1 attribute, 20 elements
Defined: | globally in fpml-asset-5-5.xsd; see XML source
Includes: | definitions of 6 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | instrumentId*, description?, currency?, exchangeId?, clearanceSystem?, definition?, (insurer | insurerReference)?, (issuerName | issuerPartyReference)?, seniority?, couponType?, couponRate?, maturity?, paymentFrequency?, dayCountFraction?, originalPrincipalAmount?, pool?, sector?, tranche?
</...>

Content Model Elements (20):

  clearanceSystem, couponRate, couponType, currency (defined in UnderlyingAsset complexType), dayCountFraction (defined in BondCalculation.model group), definition, description (defined in IdentifiedAsset complexType), exchangeId (defined in UnderlyingAsset complexType), instrumentId (defined in IdentifiedAsset complexType), insurer, | insurerReference, issuerName, issuerPartyReference, maturity (defined in FixedIncomeSecurityContent.model group), originalPrincipalAmount, paymentFrequency (defined in BondCalculation.model group), pool, sector, seniority, tranche (in mortgage)

All Direct / Indirect Based Elements (1):

  mortgage

Known Usage Locations

- As direct type of elements (1):
  mortgage

Annotation
A type describing a mortgage asset.
Type Definition Detail

Type Derivation Tree Asset (extension) IdentifiedAsset (extension) UnderlyingAsset (extension) Mortgage

XML Source (w/o annotations (6); see within schema source)

<xsd:complexType name="Mortgage"> <xsd:complexContent> <xsd:extension base="UnderlyingAsset"> <xsd:sequence> <xsd:choice minOccurs="0"> <xsd:element name="insurer" type="LegalEntity"/> <xsd:element name="insurerReference" type="LegalEntityReference"/> </xsd:choice> <xsd:group ref="FixedIncomeSecurityContent.model"/> <xsd:group ref="BondCalculation.model"/> <xsd:element minOccurs="0" name="originalPrincipalAmount" type="xsd:decimal"/> <xsd:element minOccurs="0" name="pool" type="AssetPool"/> <xsd:element minOccurs="0" name="sector" type="MortgageSector"/> <xsd:element minOccurs="0" name="tranche" type="xsd:token"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 6/20)
insurer

  Type: | LegalEntity, complex content

  XML Source (see within schema source)

  <xsd:element name="insurer" type="LegalEntity"/>

insurerReference

  Type: | LegalEntityReference, empty content

  XML Source (see within schema source)

  <xsd:element name="insurerReference" type="LegalEntityReference"/>

originalPrincipalAmount

  Type: | xsd:decimal, predefined, simple content

  The initial issued amount of the mortgage obligation.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="originalPrincipalAmount" type="xsd:decimal"/>

pool

  Type: | AssetPool, complex content

  The morgage pool that is underneath the mortgage obligation.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="pool" type="AssetPool"/>

sector

  Type: | MortgageSector, simple content

  The sector classification of the mortgage obligation.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="sector" type="MortgageSector"/>

tranche

  Type: | xsd:token, predefined, simple content

  The mortgage obligation tranche that is subject to the derivative transaction.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="tranche" type="xsd:token"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.